require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = 30;
local	indicator_pos_y = -20;

parentsnightstand = simple_object:new{
	anchor_x=34,
	anchor_y=102,
	offset_x = -4,
	offset_y = -4,
	texture="anim/objects/parentsnightstand/parentsnightstand",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/parentsnightstand/parentsnightstand_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	animated=true,
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	messing_state_time = 0,
}

function parentsnightstand:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
